import * as React from "react";
import { NavMenuState } from "./NavBarTypes";
export declare class NavMenu extends React.Component<{}, NavMenuState> {
    constructor(props: {});
    render(): JSX.Element;
    private toggleResponsiveMenuDrawer;
    private closeResponsiveMenuDrawer;
}
